using System;
using System.Collections.Generic;
using System.Text;
using AIStudio.Wpf.DiagramDesigner;

namespace AIStudio.Wpf.SFC.ViewModels
{
    public class Simulate_StartViewModel : SFCNode
    {
        public Simulate_StartViewModel() : base(SFCNodeKinds.Simulate_Start)
        {
            ItemWidth = 32;
            ItemHeight = 32;

            ExecuteAddLeftInput(null);
            ExecuteAddRightOutput(null);
        }

        public Simulate_StartViewModel(IDiagramViewModel parent, DesignerItemBase designer) : base(parent, designer)
        {
        }

        public Simulate_StartViewModel(IDiagramViewModel parent, string json) : base(parent, json)
        {

        }

        private LinkPoint linkPoint;
        public LinkPoint LinkPoint
        {
            get
            {
                return linkPoint;
            }
            set
            {
                SetProperty(ref linkPoint, value);
            }
        }

    }
}
